Đến nội dung


Hình ảnh
- - - - -

các bác cho em xin lisp khổ giấy với ạ


  • Please log in to reply
4 replies to this topic

#1 nguyentan1991

nguyentan1991

    biết vẽ pline

  • Members
  • PipPip
  • 60 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 12 July 2014 - 11:15 PM

khi em ấn lisp A1, A2. A3.... thì sẽ tự động ra khổ giấy ạ. Em cảm ơn nhiều


  • 0

#2 nguyenbd1

nguyenbd1

    biết lệnh text

  • Members
  • PipPipPipPip
  • 276 Bài viết
Điểm đánh giá: 13 (tàm tạm)

Đã gửi 13 July 2014 - 09:02 AM

bạn hỏi gì mà chẳng hiểu gì... ban phải trình bày rõ ràng... up anh len thì anh em mới giúp dỡ dược


  • 0

#3 pphung183

pphung183

    biết dimstyle

  • Members
  • PipPipPipPipPip
  • 384 Bài viết
Điểm đánh giá: 425 (tốt)

Đã gửi 13 July 2014 - 04:47 PM

Lâu rồi không biết tay nghề có bị cùn ko nữa, bạn nguyentan1991 thử xem nhé!

(defun c:k (/ oldlst a b c d e f g h kho TL)
(command "undo" "be")
(setq oldlst (mapcar 'getvar (list "CMDECHO" "OSMODE" "cecolor")))
(setvar "CMDECHO" 0)
    (setq a (getpoint "\n chon diem chen :"))
(if (not TL) (setq TL 1.00))
 (setq TL1 (getDIST (strcat "\nScale <" (rtos TL 2 2) ">:")))
(if TL1 (setq TL TL1))
(setvar "osmode" 0)
(if (not (tblsearch "layer" "Defpoints")) (Command "layer" "N" "Defpoints" ""))
(initget "0 1 2 3 4")
       (setq kho (getkword "\Kho A0 _ Kho A1 _ Kho A2 _ Kho A3 _ Kho A4 [0/1/2/3/4]? <0>:"))
 (if (= kho "0")
     (progn
             (setq b (polar a 0 (* TL 1189)))
                     (setq c (polar b (/ pi 2) (* TL 841)))
                     (setq d (polar a (/ pi 2) (* TL 841)))
             (setq e (polar a (/ pi 4) (* TL (sqrt (* 2 12 12)))))
                     (setq f (polar e 0 (- (* TL 1189) (* TL 24))))
                     (setq g (polar f (/ pi 2) (- (* TL 841) (* TL 24))))
                     (setq h (polar e (/ pi 2) (- (* TL 841) (* TL 24))))
  (command "Pline" e f g h "c")            
(command "change" "last" "" "properties" "layer" "0" "")
(setvar "cecolor" "4")
  (command "Pline" a b c d "c")
(command "change" "last" "" "properties" "layer" "defpoints" "")))    
 (if (= kho "1")
     (progn
             (setq b (polar a 0 (* TL 841)))
                     (setq c (polar b (/ pi 2) (* TL 594)))
                     (setq d (polar a (/ pi 2) (* TL 594)))
            (setq e (polar a (/ pi 4) (* TL (sqrt (* 2 12 12)))))
                     (setq f (polar e 0 (- (* TL 841) (* TL 24))))
                     (setq g (polar f (/ pi 2) (- (* TL 594) (* TL 24))))
                     (setq h (polar e (/ pi 2) (- (* TL 594) (* TL 24))))
  (command "Pline" e f g h "c")            
(command "change" "last" "" "properties" "layer" "0" "")
(setvar "cecolor" "4")
  (command "Pline" a b c d "c")
(command "change" "last" "" "properties" "layer" "defpoints" "")))
 (if (= kho "2")
     (progn
             (setq b (polar a 0 (* TL 594)))
                     (setq c (polar b (/ pi 2) (* TL 420)))
                     (setq d (polar a (/ pi 2) (* TL 420)))
             (setq e (polar a (/ pi 4) (* TL (sqrt (* 2 100)))))
                     (setq f (polar e 0 (- (* TL 594) (* TL 20))))
                     (setq g (polar f (/ pi 2) (- (* TL 420) (* TL 20))))
                     (setq h (polar e (/ pi 2) (- (* TL 420) (* TL 20))))
  (command "Pline" e f g h "c")            
(command "change" "last" "" "properties" "layer" "0" "")
(setvar "cecolor" "4")
  (command "Pline" a b c d "c")
(command "change" "last" "" "properties" "layer" "defpoints" "")))
 (if (= kho "3")
     (progn
             (setq b (polar a 0 (* tl 420)))
                     (setq c (polar b (/ pi 2) (* TL 297)))
                     (setq d (polar a (/ pi 2) (* TL 297)))
             (setq e (polar a (/ pi 4) (* TL (sqrt (* 2 100)))))
                     (setq f (polar e 0 (- (* TL 420) (* TL 20))))
                     (setq g (polar f (/ pi 2) (- (* TL 297) (* TL 20))))
                     (setq h (polar e (/ pi 2) (- (* TL 297) (* TL 20))))
(command "Pline" e f g h "c")
  (command "change" "last" "" "properties" "layer" "0" "")
(setvar "cecolor" "4")
(command "Pline" a b c d "c")
  (command "change" "last" "" "properties" "layer" "defpoints" "")))
 (if (= kho "4")
     (progn
             (setq b (polar a 0 (* TL 297)))
              (setq c (polar b (/ pi 2) (* TL 210)))
                     (setq d (polar a (/ pi 2) (* TL 210)))
            (setq e (polar a (/ pi 4) (* TL (sqrt (* 2 81)))))
                     (setq f (polar e 0 (- (* TL 297) (* TL 18))))
                     (setq g (polar f (/ pi 2) (- (* TL 210) (* TL 18))))
                     (setq h (polar e (/ pi 2) (- (* TL 210) (* TL 18))))
  (command "Pline" e f g h "c")            
(command "change" "last" "" "properties" "layer" "0" "")
(setvar "cecolor" "4")
  (command "Pline" a b c d "c")
(command "change" "last" "" "properties" "layer" "defpoints" "")))
(mapcar 'setvar (list "CMDECHO" "OSMODE" "cecolor") oldlst)
(command "undo" "e")
(princ))

  • 5

#4 phamhung12

phamhung12

    biết vẽ ellipse

  • Members
  • PipPip
  • 59 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 July 2014 - 06:47 PM

Buồn ngủ gặp chiếu manh, Thanks bạn!


  • 0

#5 nguyentan1991

nguyentan1991

    biết vẽ pline

  • Members
  • PipPip
  • 60 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 13 July 2014 - 09:01 PM

em cảm ơn anh pphung183 nhiều lắm, :D


  • 0